El desarrollador Greg Kroah-Hartman, fue el encargado de anunciar que la serie de kernel Linux 4.4 con soporte a largo plazo, finalmente llegó al final de su vida después de seis años de soporte.

El kernel de Linux 4.4 LTS fuel lanzado el 10 de enero de 2016 y fue compatible con un total de 302 actualizaciones de mantenimiento durante 2216 días, durante los cuales recibió un total de 18 712 cambios de 3532 desarrolladores y 503 empresas.

Greg Kroah-Hartman recuerda que esta era una de las buenas ramas del núcleo, pero, como ocurre con todas las cosas buenas, el kernel de Linux 4.4 ha llegado al final de su vida útil con el lanzamiento de hoy de la actualización de Linux 4.4.302.

Esto significa que a partir del 3 de febrero de 2022, la rama del kernel de Linux 4.4 ya no será compatible con más actualizaciones de mantenimiento que generalmente brindan correcciones de errores y parches de seguridad. Como tal, la rama del kernel 4.4 pronto será vulnerable a todo tipo de amenazas.

“Esta rama del núcleo ahora está AL FIN DE SU VIDA ÚTIL. No recibirá más actualizaciones del equipo estable del kernel y lo más probable es que rápidamente se vuelva inseguro y desactualizado. No lo use más a menos que realmente sepa lo que está haciendo”, dijo Greg Kroah-Hartman. Era una buena rama del kernel. […] Ha alimentado muchos millones, tal vez unos pocos miles de millones, dispositivos en todo el mundo, pero ahora es el momento de decir adiós.

Si aún usas el kernel Linux 4.4 en su sistema, se recomienda encarecidamente que actualice a una de las ramas del kernel LTS (soporte a largo plazo) compatibles tan pronto como sea posible después de leer este artículo.

Las ramas del kernel de Linux compatibles que se mantienen durante un período de tiempo más largo incluyen:

  • Linux 4.9 LTS hasta enero de 2023.
  • Linux 4.14 LTS hasta enero de 2024.
  • Linux 4.19 LTS hasta diciembre de 2024.
  • Linux 5.4 LTS hasta diciembre de 2025.
  • Linux 5.10 LTS hasta diciembre de 2026.
  • Linux 5.15 LTS hasta octubre de 2023.

Teniendo en cuenta el hecho de que el kernel 4.4 de Linux fue compatible durante más de seis años, es posible que quieras actualizar al kernel 5.10 LTS de Linux , que tiene la ventana de soporte más larga de todas las ramas del kernel LTS compatibles.

Si no puede actualizar a una serie LTS de Linux más nueva, Greg Kroah-Hartman sugiere ponerse en contacto con el proyecto CIP en https://www.cip-project.org/ , quienes aparentemente están considerando mantener la rama de Linux 4.4 en el futuro, pero en una capacidad limitada.

RECOMENDADO DE HOY

Deja un comentario